Get collection status
Returns the current status of an initiated collection of insurance data.
Request
Path Parameters
Header Parameters
Specifies the API version to use. Must match the version of the endpoint you are targeting.
2025-01-01.Responses
Status successfully fetched.
Body
Beta feature, will only be populated for select companies. This feature is intended to preview data during the collection process. Please refer to the data endpoint as the source of truth for collected data.
Company that this collection is from
A key-value map containing potential extra information, depending on the company the collection is getting data from.
The collection ID of the request
The recommended interval in milliseconds at which to poll the /status endpoint for a collection. The endpoint can be polled less often, but latest by the value indicated by pollingTimeout to ensure that the collection is not terminated.
The collection status must be polled before this timestamp. Failure to do so may result in the termination of the collection.
Current status of the collection.
RUNNING, LOGIN, TWO_FACTOR_PENDING, TWO_FACTOR_METHOD_SELECTION_TIMEOUT, CONTACT_FORM_PENDING, COLLECTION_INPUT_PENDING, COLLECTION_INPUT_TIMEOUT, COLLECTING, COMPLETED, COMPLETED_PARTIAL, COMPLETED_EMPTY, FAILED, FAILED_PDF_PARSE, FAILED_PDF_USER_INPUT, AUTHENTICATION_TIMEOUT, WAITING_FOR_USER_ACTION, INCORRECT_CREDENTIALS, AUTHENTICATION_CANCELLED, AUTHENTICATION_CONFLICT, ACCOUNT_TEMPORARILY_LOCKED, AUTHENTICATION_MISMATCH, KYC_FORM, CONTACT_FORM, CUSTOMER_ENROLLMENT_REQUIRED or THIRD_PARTY_ERROR.curl https://api.insurely.com/insurance/collection/{collectionId}/status \ -H "client-id: <client-id>"{ "collectionItems": [], "company": "ee-swedbank", "id": "8a0c043c8763c3570fab123450d7e492", "pollingInterval": 1000, "status": "COMPLETED"}